moeoSharingDiversityAssignment(3)

NAME
moeoSharingDiversityAssignment - Sharing assignment scheme originally porposed by: D.

SYNOPSIS

#include <moeoSharingDiversityAssignment.h>

Inherits moeoDiversityAssignment< MOEOT >< MOEOT >.

Inherited by moeoFrontByFrontSharingDiversityAssignment< MOEOT >.

  Public Types
typedef MOEOT::ObjectiveVector ObjectiveVector
the objective vector type of the solutions

  Public Member Functions
moeoSharingDiversityAssignment (moeoDistance< MOEOT, double > &_distance, double _nicheSize=0.5, double _alpha=1.0)
Ctor.
moeoSharingDiversityAssignment (double _nicheSize=0.5, double _alpha=1.0)
Ctor with an euclidean distance (with normalized objective values) in the objective space is used as default.
void operator() (eoPop< MOEOT > &_pop)
Sets diversity values for every solution contained in the population _pop.
void updateByDeleting (eoPop< MOEOT > &_pop, ObjectiveVector &_objVec)

  Protected Member Functions
virtual void setSimilarities (eoPop< MOEOT > &_pop)
Sets similarities for every solution contained in the population _pop.
double sh (double _dist)
Sharing function.

  Protected Attributes
moeoDistance< MOEOT, double > & distance
the distance used to compute the neighborhood of solutions
moeoEuclideanDistance< MOEOT > defaultDistance
euclidean distancein the objective space (can be used as default)
double nicheSize
neighborhood size in terms of radius distance
double alpha
parameter used to regulate the shape of the sharing function

Detailed Description

  template<class MOEOT> class moeoSharingDiversityAssignment< MOEOT >
Sharing assignment scheme originally porposed by: D. E. Goldberg, 'Genetic Algorithms in Search, Optimization and Machine Learning', Addision-Wesley, MA, USA (1989).

Definition at line 28 of file moeoSharingDiversityAssignment.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoSharingDiversityAssignment< MOEOT >::moeoSharingDiversityAssignment (moeoDistance< MOEOT, double > & _distance, double _nicheSize = 0.5, double _alpha = 1.0) [inline]

Ctor.

Parameters:
    _distance the distance used to compute the neighborhood of solutions (can be related to the decision space or the objective space)
    _nicheSize neighborhood size in terms of radius distance (closely related to the way the distances are computed)
    _alpha parameter used to regulate the shape of the sharing function

Definition at line 42 of file moeoSharingDiversityAssignment.h.

  template<class MOEOT> moeoSharingDiversityAssignment< MOEOT >::moeoSharingDiversityAssignment (double _nicheSize = 0.5, double _alpha = 1.0) [inline]

Ctor with an euclidean distance (with normalized objective values) in the objective space is used as default.

Parameters:
    _nicheSize neighborhood size in terms of radius distance (closely related to the way the distances are computed)
    _alpha parameter used to regulate the shape of the sharing function

Definition at line 51 of file moeoSharingDiversityAssignment.h.

Member Function Documentation

  template<class MOEOT> void moeoSharingDiversityAssignment< MOEOT >::operator() (eoPop< MOEOT > & _pop) [inline, virtual]

Sets diversity values for every solution contained in the population _pop.

Parameters:
    _pop the population

Implements eoUF< eoPop< MOEOT > &, void >.

Definition at line 59 of file moeoSharingDiversityAssignment.h.

References moeoSharingDiversityAssignment< MOEOT >::setSimilarities().

  template<class MOEOT> void moeoSharingDiversityAssignment< MOEOT >::updateByDeleting (eoPop< MOEOT > & _pop, ObjectiveVector & _objVec) [inline, virtual]

Warning:
    NOT IMPLEMENTED, DO NOTHING ! Updates the diversity values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

Parameters:
    _pop the population
    _objVec the objective vector

Warning:
    NOT IMPLEMENTED, DO NOTHING !

Implements moeoDiversityAssignment< MOEOT >.

Reimplemented in moeoFrontByFrontSharingDiversityAssignment< MOEOT >.

Definition at line 80 of file moeoSharingDiversityAssignment.h.

  template<class MOEOT> virtual void moeoSharingDiversityAssignment< MOEOT >::setSimilarities (eoPop< MOEOT > & _pop) [inline, protected, virtual]

Sets similarities for every solution contained in the population _pop.

Parameters:
    _pop the population

Reimplemented in moeoFrontByFrontSharingDiversityAssignment< MOEOT >.

Definition at line 102 of file moeoSharingDiversityAssignment.h.

References moeoSharingDiversityAssignment< MOEOT >::distance, and moeoSharingDiversityAssignment< MOEOT >::sh().

Referenced by moeoSharingDiversityAssignment< MOEOT >::operator()().

  template<class MOEOT> double moeoSharingDiversityAssignment< MOEOT >::sh (double _dist) [inline, protected]

Sharing function.

Parameters:
    _dist the distance value

Definition at line 125 of file moeoSharingDiversityAssignment.h.

References moeoSharingDiversityAssignment< MOEOT >::alpha, and moeoSharingDiversityAssignment< MOEOT >::nicheSize.

Referenced by moeoSharingDiversityAssignment< MOEOT >::setSimilarities(), and moeoFrontByFrontSharingDiversityAssignment< MOEOT >::setSimilarities().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.